%define _iconsdir %{_datadir}/icons/hicolor/24x24/apps

Summary: Edonkey 2000 file hash calculator
Name: ed2k_hash
Version: 0.4.0
Release: 8%{?dist}
URL: http://ed2k-tools.sourceforge.net/index.shtml
Group: Applications/File
Source0: http://dl.sourceforge.net/sourceforge/ed2k-tools/%{name}-%{version}.tar.gz
Source1: %{name}.desktop
# Taken from http://dl.sourceforge.net/sourceforge/ed2k-gtk-gui/ed2k-gtk-gui-0.6.4.tar.bz2
Source2: ed2k-logo-mini.png
Patch0: %{name}-64bit.patch
Patch1: %{name}-warnings.patch
Patch2: %{name}-gcc43.patch
License: GPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: fltk-devel
BuildRequires: desktop-file-utils

%description
A tool that outputs ed2k-links for given files.

%package gui
Summary: Edonkey 2000 file hash calculator with FLTK GUI
Group: Applications/File

%description gui
A GUI tool that outputs ed2k-links for given files.

%prep
%setup -q
%patch0 -p1 -b .64bit
%patch1 -p1 -b .w
%patch2 -p1 -b .gcc43

%build
%configure
%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

iconv -f iso8859-1 -t utf8 AUTHORS > AUTHORS.utf8 && mv AUTHORS.utf8 AUTHORS
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png

desktop-file-install --vendor fedora 			\
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications	\
	--add-category X-Fedora				\
	%{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%post gui
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun gui
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files
%defattr(-,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO ed2k_hash/docs/en/*.html
%{_bindir}/%{name}

%files gui
%defattr(-,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO ed2k_hash/docs/en/*.html
%{_bindir}/%{name}_gui
%{_datadir}/applications/*%{name}.desktop
%{_iconsdir}/%{name}.png

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.0-7
- Autorebuild for GCC 4.3

* Sun Jan 06 2008 Dominik Mierzejewski <rpm@greysector.net> 0.4.0-6
- fix compilation with gcc-4.3

* Wed Oct 24 2007 Dominik Mierzejewski <rpm@greysector.net> 0.4.0-5
- fix hash miscalculation on 64bit (bug #255321)
- fix compilation warnings

* Wed Aug 29 2007 Dominik Mierzejewski <rpm@greysector.net> 0.4.0-4
- fix desktop file
- rebuild for BuildID
- fix license tag

* Wed Sep 27 2006 Dominik Mierzejewski <rpm@greysector.net> 0.4.0-3
- run scripts for gui, not main package

* Sun Sep 24 2006 Dominik Mierzejewski <rpm@greysector.net> 0.4.0-2
- added dist tag
- converted AUTHORS to utf8
- added an icon from ed2k-gtk-gui

* Sun Sep 10 2006 Dominik Mierzejewski <rpm@greysector.net> 0.4.0-1
- initial build
